using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SysCore;
using SysCore.Model;
using SysCore.DAL;
using SysCore.Control;

public partial class Stock_Report_ProductIn_Details : System.Web.UI.Page
{
    public AuthUI auth = new AuthUI();
    public Hashtable xview = new Hashtable();
    public ConfigReader cfg = new ConfigReader();
    AWGridFun aw = new AWGridFun();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            new LoginState().CheckLogin();
            xview.Add("begin_date", new LoginInfo().GetSearchBeginDate());
            xview.Add("end_date", new LoginInfo().login_date);
            //模块权限编号,同时作为模块号
            string auth_code = "Stock_ProductIn_Details";
            xview.Add("auth_code", auth_code);
            //加载页面时建议不要指定网址，搜索时动态指定即可
            string url = "";
            xview.Add("grid_frame",aw.CreateGridFrame(url));
        }
    }
}